com.google.web.bindery.event.shared

## Class HandlerRegistrations

- java.lang.Object
- - com.google.web.bindery.event.shared.HandlerRegistrations

    public class HandlerRegistrations
    extends java.lang.Object

A utility class to help deal with `handler registrations`.

### Method Summary

All Methods Static Methods Concrete Methods
`static HandlerRegistration` `compose(HandlerRegistration... handlers)` Create and return a `HandlerRegistration` that will call `HandlerRegistration.removeHandler()` on all supplied handlers if `HandlerRegistration.removeHandler()` is called on the returned object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### compose

    public static HandlerRegistration compose(HandlerRegistration... handlers)

Create and return a `HandlerRegistration` that will call `HandlerRegistration.removeHandler()` on all supplied handlers if `HandlerRegistration.removeHandler()` is called on the returned object.

A simple example: ``

     HandlerRegistration hr1 = ...
     HandlerRegistration hr2 = ...
     return HandlerRegistrations.compose(hr1, hr2);

Parameters:
  `handlers` - the `handler registrations` that should be composed into a single `HandlerRegistration`
Returns:
  the composed `HandlerRegistration`